MultiFileUploader Plugin - Defect #836

Plugin doesn't work in developper
12/23/2014 10:21 AM - Martijn Lutgens

Status: Closed Start date: 12/23/2014
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description

The plugin doesn't work in developper. It does work on the application server. It seems that the plugin expects a library that isn't
there anymore in the current release of Servoy. Could you exclude that dependancy from the plugin? At this time it is impossible to
debug/test beceause it doesn't run in developper.

History

#1 - 12/23/2014 10:07 PM - Patrick Talbot

What kind of dependency? Do you have a stack trace or an output of the Exception in your servoy log or eclipse log?
Please attach to this, it will help.

#2 - 12/29/2014 08:50 AM - Martijn Lutgens
Hello Patrick,

Here's de servoy server log:

2014-12-29 08:24 main ERROR com.servoy.j2db.util.Debug Error occured loading server plugin class
net.stuff.servoy.plugins.multifileuploader.server.MultiFileUploaderServerPlugin

java.lang.NoClassDefFoundError: org/apache/commons/fileupload/FileltemFactory

at net.stuff.servoy.plugins.multifileuploader.server.MultiFileUploaderServerPlugin.initialize(MultiFileUploaderServerPlugin.java: 147)
at com.servoy.j2db.plugins.PluginManager.initServerPlugins(PluginManager.java:316)

at com.servoy.j2db.server.main.ApplicationServer.Za(ApplicationServer.java:336)

at com.servoy.j2db.server.main.ApplicationServer.Za(ApplicationServer.java:268)

at com.servoy.j2db.server.main.Zob.start(Zob.java:35)

at com.servoy.eclipse.core.Activator.startAppServer(Activator.java:1116)

at com.servoy.eclipse.core.ServoyModel.startAppServer(ServoyModel.java:893)

at com.servoy.eclipse.core.ServoyModelProvider.startAppServerlfNeeded(ServoyModelProvider.java:44)

at com.servoy.eclipse.model.DesignApplication.getPluginManager(DesignApplication.java:669)

at com.servoy.eclipse.core.Activator.initialize(Activator.java:925)

at com.servoy.eclipse.core.Activator.getDefault(Activator.java:741)

at com.servoy.eclipse.core.ServoyModel.startAppServer(ServoyModel.java:893)

at com.servoy.eclipse.core.ServoyModel.<init>(ServoyModel.java:252)

at com.servoy.eclipse.core.ServoyModelManager$1.run(ServoyModelManager.java:114)

at com.servoy.eclipse.core.ServoyModelManager.getServoyModel(ServoyModelManager.java:130)

at com.servoy.eclipse.core.ActiveSolutionProvider.<init>(ActiveSolutionProvider.java:20)

at sun.reflect.NativeConstructorAccessorlmpl.newInstanceO(Native Method)

at sun.reflect.NativeConstructorAccessorimpl.newInstance(Unknown Source)

at sun.reflect.DelegatingConstructorAccessorlmpl.newlnstance(Unknown Source)

at java.lang.reflect.Constructor.newlnstance(Unknown Source)

at java.lang.Class.newlnstance(Unknown Source)

at org.eclipse.core.internal.registry.osgi.RegistryStrategyOSGl.createExecutableExtension(RegistryStrategyOSGl.java:184)
at org.eclipse.core.internal.registry.ExtensionRegistry.createExecutableExtension(ExtensionRegistry.java:905)

at org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension(ConfigurationElement.java:243)
at org.eclipse.core.internal.registry.ConfigurationElementHandle.createExecutableExtension(ConfigurationElementHandle.java:55)
at org.eclipse.ui.internal.services.WorkbenchServiceRegistry.getSourceProviders(WorkbenchServiceRegistry.java:175)
at org.eclipse.ui.internal.services.SourceProviderService.readRegistry(SourceProviderService.java:105)

at org.eclipse.ui.internal. Workbench$46.runWithException(Workbench.java:2223)

at org.eclipse.ui.internal.StartupThreading$StartupRunnable.run(StartupThreading.java:31)

at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:135)

at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4145)

at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3762)

at org.eclipse.ui.internal. Workbench.runUl(Workbench.java:2686)

at org.eclipse.ui.internal. Workbench.access$7(Workbench.java:2594)

at org.eclipse.ui.internal. Workbench$5.run(Workbench.java:608)
at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:332)

at org.eclipse.ui.internal. Workbench.createAndRunWorkbench(Workbench.java:567)

at org.eclipse.ui.PlatformUl.createAndRunWorkbench(PlatformUl.java:150)

at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:124)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:354)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:181)

at sun.reflect.NativeMethodAccessorlmpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorlmpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorimpl.invoke(Unknown Source)

at java.lang.reflect.Method.invoke(Unknown Source)

at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:636)

at org.eclipse.equinox.launcher.Main.basicRun(Main.java:591)

at org.eclipse.equinox.launcher.Main.run(Main.java:1450)

Caused by: java.lang.ClassNotFoundException: org.apache.commons.fileupload.FileltemFactory
at java.net.URLClassLoader$1.run(Unknown Source)

at java.net.URLClassLoader$1.run(Unknown Source)

at java.security.AccessController.doPrivileged(Native Method)

at java.net.URLClassLoader.findClass(Unknown Source)

at java.lang.ClassLoader.loadClass(Unknown Source)

at java.lang.ClassLoader.loadClass(Unknown Source)

... 52 more

#3 - 01/09/2015 03:10 PM - Patrick Talbot

- Status changed from New to Closed

Fixed in 1.0.8 by adding the commons-fileupload.jar to the dependencies. In Servoy 7.4 the jar is still in lib but as bundle and Eclipse 4.x has added
restrictions on bundle access. Adding commons-fileupload.jar to the plugins folder fixes this.

#4 - 01/12/2015 04:12 PM - Martijn Lutgens
Hi Patrick,

It works now. Thank you very much.
